✓ Решено Невозможно исправить ошибки у вас отложены (held) битые пакеты

Программы для конфигурации и управления операционной системой
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.
Аватара пользователя
FliXis
Сообщения: 205
Зарегистрирован: 31 авг 2016, 11:01
Решено: 4
Благодарил (а): 56 раз
Поблагодарили: 12 раз

Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение FliXis » 24 окт 2016, 18:44

mint 18 cinnamon
Очень нужны эти пакеты, как форсировать установку?
apt install -f не помогает, там все по нулям пишет.

Решение FliXis » 25 окт 2016, 17:26
Переустановил систему, на этот раз ставил бумблиби из оф-репозиториев и эти пакеты смогли установится. :smile:

Перейти к ответу ➙
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя
x230
Сообщения: 500
Зарегистрирован: 02 сен 2016, 19:07
Решено: 3
Благодарил (а): 108 раз
Поблагодарили: 114 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение x230 » 24 окт 2016, 18:51

Synaptic -> Правка -> Исправить пакеты с ошибками.
Возможно придется искать искомое (сорри за тавтологию) в другом месте, ибо из этого не пойдет... - я про пакеты, про обновление/установку чего-то там... драйвер?, ну вот его...
моя платформа :
ОС: Linux Mint 18.2 Sonya, 64-bits. DE: Cinnamon 3.4.4. Ядро: 4.8.0-53-generic. Browser: Pale Moon 27.4.0
Железо: Intel Core i3-3210; CPU 3.20GHz x 2; Mem 4GB; VGA - на борту.

В сети
Аватара пользователя
Chocobo
Сообщения: 4555
Зарегистрирован: 27 авг 2016, 19:57
Решено: 107
Откуда: НН
Благодарил (а): 372 раза
Поблагодарили: 1221 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение Chocobo » 24 окт 2016, 18:55

FliXis, У меня эти пакеты в Саре "установлены вручную" как пишет апт. Прилетели с установкой fglrx

FliXis писал(а):Источник цитаты Очень нужны эти пакеты, как форсировать установку?

Игнорировать то что апт не может разрулить сам - может быть чревато...
Опиши подробней, что хочешь получить в итоге - может получится обойти этот конфликт.
Изображение

Аватара пользователя
FliXis
Сообщения: 205
Зарегистрирован: 31 авг 2016, 11:01
Решено: 4
Благодарил (а): 56 раз
Поблагодарили: 12 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение FliXis » 24 окт 2016, 19:10

У меня на другом ноуте, тоже 18 корица, эти пакеты тройку месяцев назад поставились совершенно без всяких проблем.
А вчера накатил 18 на старый ноут(у меня новый в сервис поедет) и засада.
Пакеты эти нужны для qt, ибо cannot find -lGL. А собирать qt сам (уже без опенгл) не хочу, лишний гемор.
У меня стоит bublebee (и из сторонних репозитариев), т.к. видюха отдала концы и все пашет на встроенной в проц, может из-за этого.

В сети
Аватара пользователя
Chocobo
Сообщения: 4555
Зарегистрирован: 27 авг 2016, 19:57
Решено: 107
Откуда: НН
Благодарил (а): 372 раза
Поблагодарили: 1221 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение Chocobo » 24 окт 2016, 19:17

FliXis писал(а):Источник цитаты У меня стоит bublebee (и из сторонних репозитариев), т.к. видюха отдала концы и все пашет на встроенной в проц, может из-за этого.

Возможно. Попробуй скармливать по очереди ему пакеты что он просит как зависимости - эта цепочка не вечная. Заодно может и проясниться во что именно он упирается.

Только аккуратней смотри на те зависимости которые он захочет удалить при замене пакета - там вполне может оказаться полсистемы :smile:
Изображение

Аватара пользователя
symon2014
Сообщения: 1509
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение symon2014 » 24 окт 2016, 19:35

Код: Выделить всё

sudo dpkg --configure -a
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
FliXis
Сообщения: 205
Зарегистрирован: 31 авг 2016, 11:01
Решено: 4
Благодарил (а): 56 раз
Поблагодарили: 12 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение FliXis » 25 окт 2016, 12:19

sudo dpkg --configure -a не помог(
Установил все пакеты, что требовались зависимостями от mesa-common-dev и libglu1-mesa-dev, но они все равно не ставятся, пишут тоже самое.

Аватара пользователя
gandic
Сообщения: 58
Зарегистрирован: 23 сен 2016, 09:32
Благодарил (а): 10 раз
Поблагодарили: 7 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение gandic » 25 окт 2016, 13:22

FliXis писал(а):Источник цитаты sudo dpkg --configure -a не помог(
Установил все пакеты, что требовались зависимостями от mesa-common-dev и libglu1-mesa-dev, но они все равно не ставятся, пишут тоже самое.

попробуй в консоли от рута запустить apt-get install -f
....
PS
извини, первое сообщение не прочел
может конфликт в версиях пакетов и зависимостей??
Попробуй репозиторий добавить unstable
Последний раз редактировалось gandic 25 окт 2016, 13:43, всего редактировалось 3 раза.
Linux: Debian 9.0 stretch KDE Plasma 5
Изображение

Аватара пользователя
symon2014
Сообщения: 1509
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение symon2014 » 25 окт 2016, 13:34

В синаптике фильтр, пакеты с ошибками.
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
FliXis
Сообщения: 205
Зарегистрирован: 31 авг 2016, 11:01
Решено: 4
Благодарил (а): 56 раз
Поблагодарили: 12 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение FliXis » 25 окт 2016, 14:10

symon2014 писал(а):Источник цитаты В синаптике фильтр, пакеты с ошибками.

Пишет 0 с ошибками.

Аватара пользователя
FliXis
Сообщения: 205
Зарегистрирован: 31 авг 2016, 11:01
Решено: 4
Благодарил (а): 56 раз
Поблагодарили: 12 раз

Re: Невозможно исправить ошибки у вас отложены (held) битые пакеты

Сообщение FliXis » 25 окт 2016, 17:26

Переустановил систему, на этот раз ставил бумблиби из оф-репозиториев и эти пакеты смогли установится. :smile:


Вернуться в «Системные утилиты»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей